Bug 20174 - Remove xml_sax.pl target from Makefile.pl
Summary: Remove xml_sax.pl target from Makefile.pl
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-12 02:59 UTC by David Cook
Modified: 2019-02-25 15:26 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20174: Remoe xml_sax.pl target from Makefile.pl (918 bytes, patch)
2019-02-10 00:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20174: Remoe xml_sax.pl target from Makefile.pl (984 bytes, patch)
2019-02-12 13:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20174: Remove xml_sax.pl target from Makefile.pl (1.01 KB, patch)
2019-02-12 20:59 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2018-02-12 02:59:20 UTC
A line was added to Makefile.PL with Bug #5033 but it doesn't seem like it's used anymore?
Comment 1 Katrin Fischer 2019-02-10 00:49:09 UTC
Can confirm the line is still there:

Makefile.PL:  './xml_sax.pl'                => 'PERL_MODULE_DIR',

I can't find a file in Koha with this name.
Comment 2 Katrin Fischer 2019-02-10 00:50:08 UTC
Created attachment 84942 [details] [review]
Bug 20174: Remoe xml_sax.pl target from Makefile.pl

There appears to be no xml_sax.pl in Koha, so the
reference should be removed.
Comment 3 Martin Renvoize 2019-02-12 13:59:05 UTC
Created attachment 85018 [details] [review]
Bug 20174: Remoe xml_sax.pl target from Makefile.pl

There appears to be no xml_sax.pl in Koha, so the
reference should be removed.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-02-12 13:59:49 UTC
This makes total sense to me, signing off.
Comment 5 Josef Moravec 2019-02-12 20:59:35 UTC
Created attachment 85026 [details] [review]
Bug 20174: Remove xml_sax.pl target from Makefile.pl

There appears to be no xml_sax.pl in Koha, so the
reference should be removed.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Nick Clemens 2019-02-15 18:49:08 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-25 15:26:33 UTC
Pushed to 18.11.x for 18.11.04